---
title: '<samp>: The Sample Output element'
slug: Web/HTML/Element/samp
tags:
  - Element
  - HTML
  - HTML text-level semantics
  - Inline Sample
  - Reference
  - Sample Output
  - Sample Text
  - Web
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The <strong>HTML Sample Element</strong> (<strong><code>&lt;samp&gt;</code></strong>) is used to enclose inline text which represents sample (or quoted) output from a computer program.</span> Its contents are typically rendered using the browser's default monospaced font (such as {{interwiki("wikipedia", "Courier (typeface)", "Courier")}} or Lucida Console).</p>

<div>{{EmbedInteractiveExample("pages/tabbed/samp.html", "tabbed-shorter")}}</div>

<p class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>, palpable content.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">Phrasing content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">No corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>Any</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element only includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>You can use a CSS rule to override the browser's default font face for the <code>&lt;samp&gt;</code> element; however, it's possible that the browser's preferences may take precedence over any CSS you specify.</p>

<p>The CSS to override the default font face would look like this:</p>

<pre class="brush: css">samp {
  font-family: "Courier";
}</pre>

<div class="note">
<p>If you need an element which will serve as a container for output generated by your website or app's JavaScript code, you should instead use the {{HTMLElement("output")}} element.</p>
</div>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_example">Basic example</h3>

<p>In this simple example, a paragraph includes an example of the output of a program.</p>

<pre class="brush: html">&lt;p&gt;When the process is complete, the utility will output the text
&lt;samp&gt;Scan complete. Found &lt;em&gt;N&lt;/em&gt; results.&lt;/samp&gt; You can then
proceed to the next step.&lt;/p&gt;</pre>

<p>The resulting output looks like this:</p>

<p>{{EmbedLiveSample("Basic_example", 650, 100)}}</p>

<h3 id="Sample_output_including_user_input">Sample output including user input</h3>

<p>You can nest the {{HTMLElement("kbd")}} element within a <code>&lt;samp&gt;</code> block to present an example that includes text entered by the user. For example, consider this text presenting a transcript of a Linux (or macOS) console session:</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html">&lt;pre&gt;
&lt;samp&gt;&lt;span class="prompt"&gt;mike@interwebz:~$&lt;/span&gt; &lt;kbd&gt;md5 -s "Hello world"&lt;/kbd&gt;
MD5 ("Hello world") = 3e25960a79dbc69b674cd4ec67a72c62

&lt;span class="prompt"&gt;mike@interwebz:~$&lt;/span&gt; &lt;span class="cursor"&gt;█&lt;/span&gt;&lt;/samp&gt;&lt;/pre&gt;</pre>

<p>Note the use of {{HTMLElement("span")}} to allow customization of the appearance of specific portions of the sample text such as the shell prompts and the cursor. Note also the use of <code>&lt;kbd&gt;</code> to represent the command the user entered at the prompt in the sample text.</p>

<h4 id="CSS">CSS</h4>

<p>The CSS that achieves the appearance we want is:</p>

<pre class="brush: css">.prompt {
  color: #b00;
}

samp &gt; kbd {
  font-weight: bold;
}

.cursor {
  color: #00b;
}</pre>

<p>This gives the prompt and cursor fairly subtle colorization and emboldens the keyboard input within the sample text.</p>

<h4 id="Result">Result</h4>

<p>The resulting output is this:</p>

<p>{{EmbedLiveSample("Sample_output_including_user_input", 650, 120)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'semantics.html#the-samp-element', '&lt;samp&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'textlevel-semantics.html#the-samp-element', '&lt;samp&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/text.html#h-9.2.1', '&lt;samp&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.samp")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related elements: {{HTMLElement("kbd")}}, {{HTMLElement("code")}}, {{HTMLElement("pre")}}</li>
 <li>The {{HTMLElement("output")}} element: a container for script-generated output</li>
</ul>
